default oslo_messaging log level bumped to INFO in pike

Bug #1817290 reported by Edward Hope-Morley on 2019-02-22
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack nova-cloud-controller charm
Medium
Edward Hope-Morley
OpenStack nova-compute charm
Medium
Edward Hope-Morley

Bug Description

I'm debugging a nova rpc issue on Pike and have noticed that the default log level for the oslo_messaging modules have increased to INFO from DEBUG (in default_log_levels) meaning that I no longer see logs like:

2018-10-11 11:54:10.426 1382 DEBUG oslo_messaging._drivers.amqpdriver [req-2cbd4559-3d1d-4bfb-a17d-cce6d196e156 d7f5bb002a26491fb1240f9cd4138176 145566761e02406e86ad7c8a102a8a04 - - -] CAST unique_id: 12a7c4cae5d241bdb4863e0f00ce897d exchange 'nova' topic 'compute.ComputeA' _send /usr/lib/python2.7/dist-packages/oslo_messaging/_drivers/amqpdriver.py:442

These log levels are set using the default_log_levels config opt in [DEFAULT] so setting the following allows these logs to return (annoyingly you need to set everything to be able to change any one):

default_log_levels = amqp=WARN,amqplib=WARN,boto=WARN,qpid=WARN,sqlalchemy=WARN,suds=INFO,oslo.messaging=DEBUG,oslo_messaging=DEBUG,iso8601=WARN,requests.packages.urllib3.connectionpool=WARN,urllib3.connectionpool=WARN,websocket=WARN,requests.packages.urllib3.util.retry=WARN,urllib3.util.retry=WARN,keystonemiddleware=WARN,routes.middleware=WARN,stevedore=WARN,taskflow=WARN,keystoneauth=WARN,oslo.cache=INFO,dogpile.core.dogpile=INFO

We need to be able to manipulate this via the charms when DEBUG is enabled since it is essential for debugging.

Tags: sts Edit Tag help
Edward Hope-Morley (hopem) wrote :

btw the reason for this is that oslo.log stable/ocata does not include oslo_messaging in its DEFAULT_LOG_LEVELS [1] whereas pike does.

[1] https://github.com/openstack/oslo.log/blob/stable/ocata/oslo_log/_options.py#L21

summary: - default messaging log level bumped to INFO in pike
+ default oslo_messaging log level bumped to INFO in pike
Changed in charm-nova-cloud-controller:
milestone: none → 19.04
Changed in charm-nova-compute:
milestone: none → 19.04
Changed in charm-nova-cloud-controller:
importance: Undecided → Medium
Changed in charm-nova-compute:
importance: Undecided → Medium
tags: added: sts
James Page (james-page) on 2019-03-04
Changed in charm-nova-cloud-controller:
status: New → Triaged
Changed in charm-nova-compute:
status: New → Triaged
Changed in charm-nova-cloud-controller:
assignee: nobody → Edward Hope-Morley (hopem)
Changed in charm-nova-compute:
assignee: nobody → Edward Hope-Morley (hopem)

Fix proposed to branch: master
Review: https://review.openstack.org/643076

Changed in charm-nova-cloud-controller:
status: Triaged → In Progress
Changed in charm-nova-compute:
status: Triaged → In Progress

Reviewed: https://review.openstack.org/643077
Committed: https://git.openstack.org/cgit/openstack/charm-nova-compute/commit/?id=72a1c0be93ffa0f63f075971f8bd869bee72e9c8
Submitter: Zuul
Branch: master

commit 72a1c0be93ffa0f63f075971f8bd869bee72e9c8
Author: Edward Hope-Morley <email address hidden>
Date: Wed Mar 13 15:21:55 2019 +0000

    Support oslo_messaging logger debug

    Pike onwards defaults to setting oslo_messaging logger
    to INFO and we have no way to set it to DEBUG currently.
    This patch will set it to DEBUG when debug is enabled.

    Also sets glance.debug=True if debug enabled

    Change-Id: Id76302b5368606401e4102e6beb4fae61df668ad
    Closes-Bug: #1817290

Changed in charm-nova-compute:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/643076
Committed: https://git.openstack.org/cgit/openstack/charm-nova-cloud-controller/commit/?id=854603ed0be07ec5cb3b3aa0df50603951c948ac
Submitter: Zuul
Branch: master

commit 854603ed0be07ec5cb3b3aa0df50603951c948ac
Author: Edward Hope-Morley <email address hidden>
Date: Wed Mar 13 15:23:32 2019 +0000

    Support oslo_messaging logger debug

    Pike onwards defaults to setting oslo_messaging logger
    to INFO and we have no way to set it to DEBUG currently.
    This patch will set it to DEBUG when debug is enabled.

    Also sets glance.debug=True if debug enabled

    Change-Id: I9216325f8e96cb9ee06cddbe75cdd15e98fb0827
    Closes-Bug: #1817290

Changed in charm-nova-cloud-controller:
status: In Progress → Fix Committed
David Ames (thedac) on 2019-04-17
Changed in charm-nova-compute:
status: Fix Committed → Fix Released
Changed in charm-nova-cloud-controller:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers